Package org.apache.batchee.jaxb

## Class Chunk

- java.lang.Object
- - org.apache.batchee.jaxb.Chunk

-     public class Chunk
      extends Object

  Java class for Chunk complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="Chunk">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="reader" type="{http://xmlns.jcp.org/xml/ns/javaee}ItemReader"/>
               <element name="processor" type="{http://xmlns.jcp.org/xml/ns/javaee}ItemProcessor" minOccurs="0"/>
               <element name="writer" type="{http://xmlns.jcp.org/xml/ns/javaee}ItemWriter"/>
               <element name="checkpoint-algorithm" type="{http://xmlns.jcp.org/xml/ns/javaee}CheckpointAlgorithm" minOccurs="0"/>
               <element name="skippable-exception-classes" type="{http://xmlns.jcp.org/xml/ns/javaee}ExceptionClassFilter" minOccurs="0"/>
               <element name="retryable-exception-classes" type="{http://xmlns.jcp.org/xml/ns/javaee}ExceptionClassFilter" minOccurs="0"/>
               <element name="no-rollback-exception-classes" type="{http://xmlns.jcp.org/xml/ns/javaee}ExceptionClassFilter" minOccurs="0"/>
             </sequence>
             <attribute name="checkpoint-policy" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="item-count" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="time-limit" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="skip-limit" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="retry-limit" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected CheckpointAlgorithm` | `checkpointAlgorithm` |
    `protected String` | `checkpointPolicy` |
    `protected String` | `itemCount` |
    `protected ExceptionClassFilter` | `noRollbackExceptionClasses` |
    `protected ItemProcessor` | `processor` |
    `protected ItemReader` | `reader` |
    `protected ExceptionClassFilter` | `retryableExceptionClasses` |
    `protected String` | `retryLimit` |
    `protected String` | `skipLimit` |
    `protected ExceptionClassFilter` | `skippableExceptionClasses` |
    `protected String` | `timeLimit` |
    `protected ItemWriter` | `writer` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Chunk()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CheckpointAlgorithm` | `getCheckpointAlgorithm()` | Gets the value of the checkpointAlgorithm property.
    `String` | `getCheckpointPolicy()` | Gets the value of the checkpointPolicy property.
    `String` | `getItemCount()` | Gets the value of the itemCount property.
    `ExceptionClassFilter` | `getNoRollbackExceptionClasses()` | Gets the value of the noRollbackExceptionClasses property.
    `ItemProcessor` | `getProcessor()` | Gets the value of the processor property.
    `ItemReader` | `getReader()` | Gets the value of the reader property.
    `ExceptionClassFilter` | `getRetryableExceptionClasses()` | Gets the value of the retryableExceptionClasses property.
    `String` | `getRetryLimit()` | Gets the value of the retryLimit property.
    `String` | `getSkipLimit()` | Gets the value of the skipLimit property.
    `ExceptionClassFilter` | `getSkippableExceptionClasses()` | Gets the value of the skippableExceptionClasses property.
    `String` | `getTimeLimit()` | Gets the value of the timeLimit property.
    `ItemWriter` | `getWriter()` | Gets the value of the writer property.
    `void` | `setCheckpointAlgorithm​(CheckpointAlgorithm value)` | Sets the value of the checkpointAlgorithm property.
    `void` | `setCheckpointPolicy​(String value)` | Sets the value of the checkpointPolicy property.
    `void` | `setItemCount​(String value)` | Sets the value of the itemCount property.
    `void` | `setNoRollbackExceptionClasses​(ExceptionClassFilter value)` | Sets the value of the noRollbackExceptionClasses property.
    `void` | `setProcessor​(ItemProcessor value)` | Sets the value of the processor property.
    `void` | `setReader​(ItemReader value)` | Sets the value of the reader property.
    `void` | `setRetryableExceptionClasses​(ExceptionClassFilter value)` | Sets the value of the retryableExceptionClasses property.
    `void` | `setRetryLimit​(String value)` | Sets the value of the retryLimit property.
    `void` | `setSkipLimit​(String value)` | Sets the value of the skipLimit property.
    `void` | `setSkippableExceptionClasses​(ExceptionClassFilter value)` | Sets the value of the skippableExceptionClasses property.
    `void` | `setTimeLimit​(String value)` | Sets the value of the timeLimit property.
    `void` | `setWriter​(ItemWriter value)` | Sets the value of the writer property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### reader

          protected ItemReader reader

    - #### processor

          protected ItemProcessor processor

    - #### writer

          protected ItemWriter writer

    - #### checkpointAlgorithm

          protected CheckpointAlgorithm checkpointAlgorithm

    - #### skippableExceptionClasses

          protected ExceptionClassFilter skippableExceptionClasses

    - #### retryableExceptionClasses

          protected ExceptionClassFilter retryableExceptionClasses

    - #### noRollbackExceptionClasses

          protected ExceptionClassFilter noRollbackExceptionClasses

    - #### checkpointPolicy

          protected String checkpointPolicy

    - #### itemCount

          protected String itemCount

    - #### timeLimit

          protected String timeLimit

    - #### skipLimit

          protected String skipLimit

    - #### retryLimit

          protected String retryLimit

  - ### Constructor Detail

    - #### Chunk

          public Chunk()

  - ### Method Detail

    - #### getReader

          public ItemReader getReader()

      Gets the value of the reader property.
      Returns:
        possible object is `ItemReader`

    - #### setReader

          public void setReader​(ItemReader value)

      Sets the value of the reader property.
      Parameters:
        `value` - allowed object is `ItemReader`

    - #### getProcessor

          public ItemProcessor getProcessor()

      Gets the value of the processor property.
      Returns:
        possible object is `ItemProcessor`

    - #### setProcessor

          public void setProcessor​(ItemProcessor value)

      Sets the value of the processor property.
      Parameters:
        `value` - allowed object is `ItemProcessor`

    - #### getWriter

          public ItemWriter getWriter()

      Gets the value of the writer property.
      Returns:
        possible object is `ItemWriter`

    - #### setWriter

          public void setWriter​(ItemWriter value)

      Sets the value of the writer property.
      Parameters:
        `value` - allowed object is `ItemWriter`

    - #### getCheckpointAlgorithm

          public CheckpointAlgorithm getCheckpointAlgorithm()

      Gets the value of the checkpointAlgorithm property.
      Returns:
        possible object is `CheckpointAlgorithm`

    - #### setCheckpointAlgorithm

          public void setCheckpointAlgorithm​(CheckpointAlgorithm value)

      Sets the value of the checkpointAlgorithm property.
      Parameters:
        `value` - allowed object is `CheckpointAlgorithm`

    - #### getSkippableExceptionClasses

          public ExceptionClassFilter getSkippableExceptionClasses()

      Gets the value of the skippableExceptionClasses property.
      Returns:
        possible object is `ExceptionClassFilter`

    - #### setSkippableExceptionClasses

          public void setSkippableExceptionClasses​(ExceptionClassFilter value)

      Sets the value of the skippableExceptionClasses property.
      Parameters:
        `value` - allowed object is `ExceptionClassFilter`

    - #### getRetryableExceptionClasses

          public ExceptionClassFilter getRetryableExceptionClasses()

      Gets the value of the retryableExceptionClasses property.
      Returns:
        possible object is `ExceptionClassFilter`

    - #### setRetryableExceptionClasses

          public void setRetryableExceptionClasses​(ExceptionClassFilter value)

      Sets the value of the retryableExceptionClasses property.
      Parameters:
        `value` - allowed object is `ExceptionClassFilter`

    - #### getNoRollbackExceptionClasses

          public ExceptionClassFilter getNoRollbackExceptionClasses()

      Gets the value of the noRollbackExceptionClasses property.
      Returns:
        possible object is `ExceptionClassFilter`

    - #### setNoRollbackExceptionClasses

          public void setNoRollbackExceptionClasses​(ExceptionClassFilter value)

      Sets the value of the noRollbackExceptionClasses property.
      Parameters:
        `value` - allowed object is `ExceptionClassFilter`

    - #### getCheckpointPolicy

          public String getCheckpointPolicy()

      Gets the value of the checkpointPolicy property.
      Returns:
        possible object is `String`

    - #### setCheckpointPolicy

          public void setCheckpointPolicy​(String value)

      Sets the value of the checkpointPolicy property.
      Parameters:
        `value` - allowed object is `String`

    - #### getItemCount

          public String getItemCount()

      Gets the value of the itemCount property.
      Returns:
        possible object is `String`

    - #### setItemCount

          public void setItemCount​(String value)

      Sets the value of the itemCount property.
      Parameters:
        `value` - allowed object is `String`

    - #### getTimeLimit

          public String getTimeLimit()

      Gets the value of the timeLimit property.
      Returns:
        possible object is `String`

    - #### setTimeLimit

          public void setTimeLimit​(String value)

      Sets the value of the timeLimit property.
      Parameters:
        `value` - allowed object is `String`

    - #### getSkipLimit

          public String getSkipLimit()

      Gets the value of the skipLimit property.
      Returns:
        possible object is `String`

    - #### setSkipLimit

          public void setSkipLimit​(String value)

      Sets the value of the skipLimit property.
      Parameters:
        `value` - allowed object is `String`

    - #### getRetryLimit

          public String getRetryLimit()

      Gets the value of the retryLimit property.
      Returns:
        possible object is `String`

    - #### setRetryLimit

          public void setRetryLimit​(String value)

      Sets the value of the retryLimit property.
      Parameters:
        `value` - allowed object is `String`